#
# spec file for package hotplug (Version 0.44)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         hotplug
URL:          http://linux-hotplug.sourceforge.net/
Version:      0.44
Release:      32.22
BuildArchitectures: noarch
#
Provides:     usbmgr
Obsoletes:    usbmgr
#
Summary:      Automatic configuration of hotplugged devices
PreReq:       %insserv_prereq %fillup_prereq syslog
Requires:     submount pciutils awk sed lsof scsi textutils sysconfig >= 0.30 
Group:        Hardware/Other
License:      GPL
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
#
Source0:      %{name}-%{version}.tar.bz2

%description
Hotplugging is a feature of Linux, with the goal of letting you plug in
new devices and use them immediately. That means that users won't need
to learn as much system administration. Systems will, at least
partially, be autoconfiguring themselves. Initially, it includes
support for USB and PCI (Cardbus) devices, and can automatically
configure network interfaces.

Now that basic USB and Cardbus hotplugging seems to behave properly,
upcoming work will likely involve integration with other Linux
subsystems such as input, pcmcia_cs, 1394, disk/storage (starting with
SCSI), networking, printing, power management such as APM and ACPI, and
more. Kernel 2.5 work will improve autoconfiguration support for Linux,
likely including more unified support for stable device names and user
mode device management tools.



Authors:
--------
    David Brownell <dbrownell@users.sourceforge.net>
    Greg Kroah-Hartman <kroah@users.sourceforge.net>
    Matthew Dharm <mdharm@users.sourceforge.net>
    Miles Lane <miles_lane@users.sourceforge.net>
    Randy Dunlap <rdunlap@users.sourceforge.net>
    Stephen Williams <stevewilliams@users.sourceforge.net>

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make BASEDIR=$RPM_BUILD_ROOT install

%post
grep HOTPLUG_START_USB etc/sysconfig/hotplug &>/dev/null \
	&& rm -f etc/sysconfig/hotplug
%{fillup_and_insserv -Y hotplug -Y coldplug}

%postun
%{insserv_cleanup}

%files
%defattr (-,root,root)
%dir /var/run/hotplug
%dir /etc/hotplug
%dir /etc/hotplug/usb
%dir /usr/lib/hotplug
%dir /usr/lib/hotplug/firmware
%dir /usr/share/hotplug
%dir /usr/share/hotplug/DesktopTemplates
%dir %{_docdir}/hotplug
%doc %{_docdir}/hotplug/*
%doc %{_mandir}/man?/*
%attr(754,root,root) /etc/hotplug/*.rc
%attr(754,root,root) /etc/hotplug/*.agent
%attr(644,root,root) /etc/hotplug/*.functions
%attr(644,root,root) %config /etc/hotplug/*map
%attr(644,root,root) %config /etc/hotplug/blacklist
%attr(644,root,root) %config /etc/hotplug/*.permissions
%attr(644,root,root) /usr/share/hotplug/DesktopTemplates/*.desktop
%attr(755,root,root) /sbin/*
%attr(755,root,root) /usr/sbin/*
%attr(755,root,root) /etc/init.d/*
%attr(644,root,root) /var/adm/fillup-templates/sysconfig.hotplug

%changelog -n hotplug
* Tue Jun 29 2004 - zoz@suse.de
- changed package back to noarch. (Bug 42413: YOUpdate impossible)
  Since 9.1 runs only on x86 and x86_64 this means that we just
  don't install hotplug/*rc files that are only for s390 and ppc
- removed the last two patches, because the are completely unrelated
  to the 9.1 target platforms.
* Fri Jun 25 2004 - hare@suse.de
- Disable subfs as default for S/390 (#40616).
* Wed Jun 16 2004 - hare@suse.de
- Add wait loop to ccwgroup.agent if the device is not
  initialized yet.
* Fri Jun 11 2004 - meissner@suse.de
- vio.rc scripts for violan devices. No scanning, just load
  all hwcfg-bus-vio-* files. #4100, #41865.
* Tue Jun 08 2004 - zoz@suse.de
- added links to generic_empty.agent for events 'iucv' and 'css' (Bug 40616)
- scsi_host.agent: moved sysfs checks into 'add' section to avoid
  unnecesssary waiting at 'remove' events.
- ccw.agent: added option 'fast' to hwup call to avoid calls to getcfg
  (Bug 40616)
* Thu Jun 03 2004 - zoz@suse.de
- usb.rc now uses correct base for numbers in event environment
  variables (Bug 41590)
* Wed Jun 02 2004 - hare@suse.de
- Use cd -P instead of readlink to allow for booting without /usr.
- Add call to udev if subfs is disabled.
* Wed Jun 02 2004 - adrian@suse.de
- do not mount hdd devices with fss=floppyfss anymore,
  only real floppies (according to hwinfo) will use it.
  This fixes reiserfs/xfs on firewire/usb devices (#41526)
* Thu May 27 2004 - zoz@suse.de
- fixed syntax error in input.rc
* Wed May 26 2004 - zoz@suse.de
- hotplug.subfs.functions: add mountoption iocharset if systems
  charmap can be determined (Bug 40286)
- usb.agent:
  + fixed annoying messages about missing bNumConfigurations
  and to much arguments in test statement (Bug 41214)
  + add $DEVPATH for hwscan --usb calls (tried to fix Bug 38383)
* Tue May 25 2004 - zoz@suse.de
- /sbin/hotplug: wait max. 5 secs for /sys$DEVPATH/dev to establish
  before skipping call of generic_udev.agent (Bug 39037)
- input.rc: calling /sbin/hotplug in background (Bug 40669)
* Mon May 24 2004 - adrian@suse.de
- revert last changes and adding an option to disable subfs
  mounts (will be used on s390). This is fixing usb and
  firewire hotplug handling again.
- adapt to new udev device names again
* Thu May 13 2004 - hare@suse.de
- Revamped block.agent; do not sleep for anything and
  call hwscanqueue only when needed (#39068).
* Tue May 11 2004 - zoz@suse.de
- removed noarch, because we need different filelists for S390
- don't install pci and usb stuff on S390 (Bug 40069)
* Thu Apr 29 2004 - hare@suse.de
- Update tty.agent to bail out for normal devices.
- Update block.agent to ignore DASDs.
- Update ccw.rc to check for existing files first.
* Thu Apr 22 2004 - zoz@suse.de
- fixed comment in sysconfig/hotplug
- wrote README
- added hotplug manpage
- removed useless udev call from scsi_device.agent (Bug 39283)
* Tue Apr 20 2004 - zoz@suse.de
- run generic-udev.agent for unknown event types if /sys/$DEVPATH/dev
  exists (Bug 39037)
* Wed Apr 07 2004 - adrian@suse.de
- fix firewire driver name
- do only scan usb-scsi-hard disc-drives (no cd drives).
- add an almost empty README file (needed since we refer to it ..)
* Tue Apr 06 2004 - adrian@suse.de
- do not call udev block on remove event
* Tue Apr 06 2004 - adrian@suse.de
- fix block.agent to work more reliable again
* Mon Apr 05 2004 - adrian@suse.de
- additional check in block.agent, do only mount given devices, if
  they are provided by usb-storage or firewire driver
* Sun Apr 04 2004 - adrian@suse.de
- make partition parser more robust against coolos fancy came name
- add detection for cameras via usb-storage
* Sat Apr 03 2004 - zoz@suse.de
- input.agent: hwup does not longer complain about missing
  configurations (Bug 36951)
- pci.agent: added debug messages for better problem tracking
- pci.handmap: removed prism2_pci lines because default driver
  should work now as well
- scsi_host.agent
  + added delay loop (waiting for sysfs files) (Bug 36113)
  + removed readlink (in /usr)
- rchotplug: remove /var/run/hotplug/ignore_nohotplug when stopping
- sysconfig/hotplug: fixed metadata and comments
- sbin/hotplug: don't handle NOHOTPLUG if unset or empty
* Sat Apr 03 2004 - adrian@suse.de
- use new usb icons for icon drives
- make it possible to enforce a special template for desktop files
  (needed for user mounted /data partitions)
- handle /data and /windows partitions as user mountable drives
* Sat Apr 03 2004 - zoz@suse.de
- added variable HOTPLUG_PCI_QUEUE_NIC_EVENTS. If set to yes, pci.agent
  will check if other pci NICs are initialized currently and waits until
  they have finished. This makes interface name assigment more deterministic.
  (Bug 37375)
* Fri Apr 02 2004 - adrian@suse.de
- move coldplug subfs code to hwbootscan
  (runlevel script does not require hwbootscan anymore)
* Fri Apr 02 2004 - zoz@suse.de
- added pci/hotplug to HOTPLUG_PCI_DRIVERTYPE_BLACKLIST (Bug 37424)
* Thu Apr 01 2004 - adrian@suse.de
- handle usb-storage devices special
- remove desktop file only, if unmount was possible
* Wed Mar 31 2004 - adrian@suse.de
- further checks to work without /usr
- give devices to --block and --partition to scan
* Wed Mar 31 2004 - zoz@suse.de
- load_modules will stop module loading after first succes if
  new sysconfig variable HOTPLUG_LOAD_MULTIPLE_MODULES == no
- new defaults for white/blacklists
* Wed Mar 31 2004 - adrian@suse.de
- add Requires to submount
* Tue Mar 30 2004 - zoz@suse.de
- added sysconfig variable HOTPLUG_SYSLOG. It controls where messages
  are logged: syslog, file, console or auto
- added sysconfig variables HOTPLUG_PCI_DRIVERTYPE_WHITELIST and
  HOTPLUG_PCI_DRIVERTYPE_BLACKLIST
- changed COLDPLUG_PCI_USE_CLASSES to COLDPLUG_PCI_CLASSES_WHITELIST and
  COLDPLUG_PCI_SKIP_CLASSES to COLDPLUG_PCI_CLASSES_BLACKLIST
- only class is needed in COLDPLUG_PCI_CLASSES_BLACKLIST
- added boot variable HOTPLUG_TRACE to trace module loading
- added/improved comments and metadata to all sysconfig variables
- make /sbin/hotplug-stopped syslog messages identical to allow grouping
* Tue Mar 30 2004 - adrian@suse.de
- add tsdev to blacklist
* Mon Mar 29 2004 - zoz@suse.de
- added whitelist check for pci classes in pci.rc. Only these classes
  from COLDPLUG_PCI_USE_CLASSES will be handled. (Bug 37345)
  default: COLDPLUG_PCI_USE_CLASSES="01 02 09 0c"
* Mon Mar 29 2004 - jg@suse.de
- net.agent: Skipping ip link up/down magic in case
  /sys/class/net/$INTERFACE/address is missing. (Bug 37192)
- pci.handmap: take prosm2_pci instead of hostap_pci for some devices
* Mon Mar 29 2004 - adrian@suse.de
- do only scan scsi devices from usb-storage
- do locking again to reduce load on plugin with multiple devices
- use hwscanqueue
- detect also /windows and /data partitions
* Sun Mar 28 2004 - zoz@suse.de
- /sbin/hotplug checks for NOHOTPLUG in /proc/cmdline to make sure
  that it is really disabled. Manual starting of hotplug disables
  this test. NOHOTPLUG=udev-only still calls udev but does nothing
  else (no module loading).
- extended blacklist (Bug 36762, 36815, 36718)
- pci.rc: added 'eval' to pci_call_hotplug() to work with empty $ENV,
  what happens if we have no /usr. (Bug 36514)
- pci.agent: removed 'set -x' (Bug 36951)
* Fri Mar 26 2004 - zoz@suse.de
- set default for HOTPLUG_DEBUG to no
* Thu Mar 25 2004 - adrian@suse.de
- use hwscan to determine the device type (#36819)
- add translations to desktop files
- additional check for new appeared sysfs devices (esp cdrom)
* Mon Mar 22 2004 - zoz@suse.de
- added eth1394 to blacklist, because it is not much used but
  annoing to have a network interface that is connected nowhere.
* Mon Mar 22 2004 - adrian@suse.de
- fix block.agent for new udev name schema
* Mon Mar 22 2004 - zoz@suse.de
- rcoldplug:
  + don't {un,}load modules listed in
  /etc/sysconfig/hardware/coldplug.{start,stop}.modules
  + call hw{up,down} for all hwcfg-static*
* Sun Mar 21 2004 - zoz@suse.de
- pci.agent now calls hwinfo --db to get a driver module (Bug 34486)
- net.agent calls 'ip up; ip down' for all interfaces with all zero mac address
* Sun Mar 21 2004 - adrian@suse.de
- update hardware database also on firewire events
- mount cdroms with exec and others with noexec flag (#33056)
- use new --block option in block.agent
- add --fast option to all hwscan scan calls
* Sun Mar 21 2004 - zoz@suse.de
- removed usage of 'dirname' and 'basename' (Bug 35895)
* Sat Mar 20 2004 - adrian@suse.de
- current cvs
  * several bugfixes (zoz, meissner)
  * add support for PalmOS devices
  * update hardware database again
  * set subfs and PalmOS devices as configured=yes in hardware database
  * register PalmOS devices at resmgr
  * added kyrofb to blacklist (zoz)
  * added sysconfig variable HOTPLUG_DO_REAL_PCI_HOTPLUG (Bug 34516) (zoz)
* Thu Mar 18 2004 - adrian@suse.de
- current cvs
  * fix syntax error in coldplug_clean_subfs function
  * new desktop files with kdedevices MimeTypes
  * wait for sysfs in block.agent
  * new tty.agent (by meissner)
* Tue Mar 16 2004 - adrian@suse.de
- fix removal of usb-storage devices
- mount subfs with procuid, writable for the user
- disable wait for sysfs on removal
- fix sg_mod loading (meissner)
* Mon Mar 15 2004 - meissner@suse.de
- actually add scsi_device.agent, so we load scsi disk support
  on plugin in USB mass storage.
* Mon Mar 15 2004 - zoz@suse.de
- added isdn driver to blacklist
- removed unused function log_to_stdout from hotplug.functions
- fixed typo in ieee1394.agent
- added bootoptions NOCOLDPLUG and NOHOTPLUG
- rchotplug en/disables hotplug by changing /proc/sys/kernel/hotplug
- /sbin/hotplug-stopped calls eventrecorder when hotplug disabled
- /sbin/hotplug does not check existence of a runfile
- /sbin/hotplug uses 'env' only if /usr is available
- /sbin/hotplug calls generic-udev.agent as fallback if $DEVPATH/dev exists
* Thu Mar 11 2004 - adrian@suse.de
- update to current version from cvs
  * no fstab entries anymore, but direct mounting
  * drive icons get created now
  * fixed sd_mod support (by meissner)
* Mon Mar 08 2004 - meissner@suse.de
- block.agent: New agent, creates subfs entries for hotplugged
  block devices.
* Thu Mar 04 2004 - zoz@suse.de
- input.agent: skip oldstyle module loading only if hwup failed
- in *agent: make reading of module maps more robust
- in *agent: make call of hwup more robust
- in *agent: check less prerequisites
- removed old and wrong lines from usb.handmap
- removed syslog from hotplug X-UnitedLinux-Should-Start: again,
  because we now start before network
* Mon Mar 01 2004 - zoz@suse.de
- added syslog in hotplug Should-Start:
- improved boot messages and debug output
- disabled sound.agent (linked to generic_empty.agent)
* Mon Mar 01 2004 - zoz@suse.de
- add {%%_docdir}/hotplug to the filelist
* Sun Feb 29 2004 - zoz@suse.de
- install via Makefile
- removed number of agents. link some agents to generic.empty.agent
  and generic.udev.agent
- removed /etc/hotplug.d and call agents directly from /sbin/hotplug
- don't longer change permissions of agents, skip unwanted agents in
  /sbin/hotplug instead. Call eventrecorder in /sbin/hotplug
- changed all scripts to /bin/bash
- unified a lot in the agents
- wait for sysfs files to appear for scsi devices (max. 5 seconds)
- call hwup/down and ifup/down always with -o hotplug
- removed dasd scripts
- improved debug output
- removed old kernel 2.4 specials
- added COLDPLUG_PCI_SKIP_CLASSES in sysconfig file and pci.rc
- removed special module loading from scsi.agent
- some agents use *handmap for preferred modules
* Fri Feb 20 2004 - hare@suse.de
- Added ccw.rc as the hwconfig init script is dead.
- Fixed ccwgroup.agent to not rely on unusable information.
* Mon Feb 09 2004 - hare@suse.de
- Update [ccw|ccwgroup|scsi_host].agent to set the env-var
  EVENT to designate the calling event type.
* Fri Feb 06 2004 - zoz@suse.de
- New hotplug package. Start version: 0.42
  We will no longer patch hotplug from sourceforge but maintain our
  own package instead. Patches were to big and will become much
  bigger as soon as hwup does most of the job. (this will still take
  some time)
  This version of hotplug is based on hotplug-beta-2004.02.04 from
  olh. The changelog of hotplug-beta-2004.02.04 can be found in
  doc/hotplug-beta.changes.
- removed /etc/init.d/hotplug_* and /etc/init.d/boot.hotplug
- added /etc/init.d/hotplug and /etc/init.d/coldplug:
  + hotplug en/disables hotplugging by touching/removing
  /var/run/hotplug/hotplug and enables /etc/hotplug/*agent by
  making them executable. Unwanted agents can be added to
  HOTPLUG_DONT_START_SUBSYSTEMS. Action 'stop' removes execution
  bits again.
  + coldplug start/stop loads/removes all modules from
  /etc/sysconfig/hardware/coldplug.{start,stop}.modules.
  It triggers events from
  /etc/sysconfig/hardware/coldplug.{start,stop}.events and
  calls all /etc/sysconfig/*.rc except these in
  COLDPLUG_DONT_START_SUBSYSTEMS.
  Additionally it touches/removes /var/run/hotplug/coldplug
- /sbin/hotplug skips events if /var/run/hotplug/hotplug does not exist
* Thu Sep 18 2003 - jg@suse.de
- removed unneeded at76c503 and added at76c503-rfmd,
  at76c503-rfmd-acc, at76c503-i3861, and at76c503-i3863
  to HOTPLUG_USB_NET_MODULES in sysconfig.hotplug
- added prism2_usb to HOTPLUG_USB_NET_MODULES in sysconfig.hotplug
* Thu Sep 18 2003 - behlert@suse.de
- added cehck for 'Status.Active' in unique-files, else we get
  problems with soft-unplugging of devices; this should fix
  Bugzilla #30988 (hotplugctl doesn't remove usb drive properly)
  too
* Mon Sep 15 2003 - meissner@suse.de
- remove -w from perl / checkhotmounts or we get unnecessary
  syslog entries for every usb mass storage attach/detach.
* Wed Sep 10 2003 - olh@suse.de
- run /bin/rescan-scsi-bus.sh in ieee1394/sbp2
* Tue Sep 09 2003 - zoz@suse.de
- fixed sysconfig metadata (nearly no variable needs any action)
* Mon Sep 08 2003 - zoz@suse.de
- net.agent now may call ifup without an hardware description if
  HOTPLUG_NET_DEFAULT_HARDWARE is set to "[always_]empty". This
  will stay undocumented but may be used as a workaround for some
  possible problems.
* Tue Sep 02 2003 - mmj@suse.de
- Add sysconfig metadata [#28880]
* Mon Sep 01 2003 - olh@suse.de
- ok, I give up with this one,
  idea and concept is nice, but the world not ready.
  go back to 8.2 code status
  keep the checkhotmounts changes, load keybdev and mousedev
* Mon Sep 01 2003 - mmj@suse.de
- Fix head syntax [#29615]
* Sun Aug 24 2003 - olh@suse.de
- provide our own blacklist file
  mount disks with sync to avoid data corruption
* Fri Aug 22 2003 - meissner@suse.de
- renamed checkhotmounts-beta to checkhotmounts so
  it is actually found.
* Tue Aug 19 2003 - olh@suse.de
- checkhotmounts ignores now extended partitions
* Mon Aug 18 2003 - olh@suse.de
- checkhotmounts is in /usr/sbin
  add fstab entries for all partitions (#28693)
* Mon Aug 18 2003 - olh@suse.de
- add hotplug-2003_08_05-USB_sysfs_is_hex.patch
  Both PRODUCT and all values in sysfs are passed as hex while
  bash attempts to evaluate them as decimal by default.
* Mon Aug 11 2003 - olh@suse.de
- redo package from scratch
- use plain hotplug-2003_08_05.tar.gz
  make it noarch, it contains no binaries
- rchotplug is a wrapper for /etc/init.d/hotplug_*
- serialize usb events to avoid parallel access to proc nodes
- provide infos about unplug events to userland and read possible
  userland replies back to process them
- unload usb drivers only during rchotplug restart, not stop
  to avoid dead keyboards
* Thu Jul 31 2003 - uli@suse.de
- rediffed s390 patch
* Mon Jun 30 2003 - ro@suse.de
- fix build with recent includes
* Tue Jun 03 2003 - olh@suse.de
- do not start rchotplug if usermode helper is not /sbin/hotplug
* Tue Jun 03 2003 - ro@suse.de
- fix build with recent includes (fxload-2002_04_11.dif)
* Mon Jun 02 2003 - kukuk@suse.de
- Don't provide/obsolete "usb", already done by libusb
* Sun Mar 16 2003 - olh@suse.de
- add video1394 to HOTPLUG_IEEE1394_STATIC_MODULES
  do not load FW modules if not hostcontroller available
* Thu Mar 13 2003 - zoz@suse.de
- added usb-midi to blacklist (sound modules will be loaded by a
  userspace handler) (Bug 25314)
* Thu Mar 13 2003 - zoz@suse.de
- changed parsing of mapfiles in pci.agent and ieee.agent.
  usb.agent already was ok and net.agent does not need it.
  (Bug 25282) (pci.agent_read_modmaps_carefully.diff,
  ieee1394.agent_read_modmaps_carefully.diff)
- added empty ieee1394.handmap, because many users don't know that
  they may create and use this file for special driver assignment.
  (empty.ieee1394.handmap.diff)
- added 'hwscan --pci' also to remove section of pci.agent.
  Otherwise unplugged cards will stay as available in
  /var/lib/hardware/unique-keys and may trigger a configuration
  popup. (Bug 25303) (pci.agent_hwscan_at_remove.diff)
* Tue Mar 11 2003 - zoz@suse.de
- added 'hwscan --pci' to pci.agent. This is necessary to trigger
  YaST2 for configuration of new HW.
- added empty pci.handmap, because many users don't know that they
  may create and use this file for special driver assignment.
  (empty.pci.handmap.diff)
* Mon Mar 10 2003 - olh@suse.de
- add hotplug_ieee1394.patch, basic firewire hotplug support
  add at76c503 to usb network drivers list (#24942)
* Tue Mar 04 2003 - olh@suse.de
- use the new hwscan --usb --fast option in usb.agent (#24356)
* Mon Mar 03 2003 - zoz@suse.de
- fixed some timeout and coldplug problems (Bug 22580 24356)
* Mon Feb 24 2003 - zoz@suse.de
- fixed path in remove scripts for USB, PCI and IEEE1394 (Bug 23769)
* Thu Feb 20 2003 - mmj@suse.de
- Add sysconfig metadata [#22646]
* Sat Feb 01 2003 - zoz@suse.de
- update to 2002_08_26. There is no interesting new stuff, because
  our hotplug scripts are heavily patched and had the new things
  already. It's just to keep track with the original packet.
  + load_drivers(): variables are local, and doesn't try
  usbmodules unless the $DEVICE file exists (it'd fail)
  + update hotplug.8 manpage to mention Max'patch
  + patch from Max Krasnyanskiy, now  usb hotplugging also
  searches /etc/hotplug/usb/*.usermap
- included all fixes from 8.1 betatest in main patch or suse-files
  archive: usb-remove-USBLOCK-properly.diff beep_switch.diff
  checkhotmounts-newloc.patch usb-blacklist-alsasound.diff
  usb.rc-avoid-wc.diff usb-blacklist-8139cp.diff
  usb-remove-order.diff usb-sbin-hotplug-avoid-wc.diff
  usb.rc-increase-delay.diff usb-dont-use-usbmodules.diff
  ieee1394-start-variable.diff net-no-beep-if-no-hwdesc.diff
- usb.rc: read /proc/bus/usb/devices completely in one system call
  and not every line seperately. If a driver causes a timeout,
  reading seperately could take very long. (bug 23231 fixed)
- usb.agent: fixed syntax error (bug 22931)
- increased delay in usb event serializer in /sbin/hotplug
- added usb-serialize-events.diff, but did not apply. This patch
  is an alternative solution for usb event serialization, which
  has to be discussed with olh first.
- added ieee1394.rc (still untested)
* Thu Sep 26 2002 - zoz@suse.de
- net.agent: don't beep low if no HW description was found (this
  happens at any net event that was not triggerd by a hotpluggable
  NIC) (Bug 20203)
* Tue Sep 24 2002 - zoz@suse.de
- remove also USB, ieee1394 and fxload for s390 and s390x
* Tue Sep 17 2002 - zoz@suse.de
- remove PCI stuff for s390 and s390x
* Thu Sep 12 2002 - zoz@suse.de
- ieee1394-start-variable.diff changes HOTPLUG_START_FIREWIRE to
  HOTPLUG_START_IEEE1394 in ieee1394.agent and we have
  HOTPLUG_START_IEEE1394=yes in /etc/sysconfig/hotplug. (All these
  variables are named *IEEE1394*) (Bug 19263)
* Mon Sep 09 2002 - zoz@suse.de
- fixed usb-remove-USBLOCK-properly.diff: test -f instead of -e
  (Bug 18290)
- usb.rc-increase-delay.diff: HOTPLUG_USB_DELAY=3 (The hotplug
  startscript should not terminate before all devices are initialized)
- added usb-dont-use-usbmodules.diff: The usage of usbmodules causes
  timeouts in the USB stack. So we default to not use it (Bug 10815)
* Mon Sep 09 2002 - zoz@suse.de
- usb.rc-increase-delay.diff sets HOTPLUG_USB_DELAY=2 which should
  hopefully fix bug 10815
- usb-sbin-hotplug-avoid-wc.diff replaces the usage of wc with some
  bash code. (Bug 19052 again)
* Mon Sep 09 2002 - zoz@suse.de
- added syslog to %%PreReq to avoid insserv loops at update (Bug 19092)
* Sat Sep 07 2002 - olh@suse.de
- usb-remove-order.diff, update unique first, then checkmounts
  make sure that all dynamic fstab entries will be removed
* Sat Sep 07 2002 - zoz@suse.de
- usb-blacklist-8139cp.diff adds 8139cp to the blacklist.
  8139cp.o is listed only once in modules.pcimap. And for exactly
  this device there is also an entry with 8139too, which works
  better. (Bug 11514)
* Sat Sep 07 2002 - zoz@suse.de
- usb.rc-avoid-wc.diff replaces the usage of 'wc' when checking
  for existant usb busses. (Bug 19052)
* Fri Sep 06 2002 - zoz@suse.de
- usb-blacklist-alsasound.diff adds modules audio and snd-usb-audio
  to /etc/hotplug/blacklist. These should be loaded via
  /etc/hotplug/usb/alsasound. (Bug 16768)
* Thu Sep 05 2002 - zoz@suse.de
- removed usb-serialize-events.diff again, because it makes troubles
  with some modems. (Bug 10815)
- added usb-remove-USBLOCK-properly.diff which was part of
  usb-serialize-events.diff: Don't remove /var/run/hotplug if there
  is no USBLOCK (Bug 18290)
* Wed Sep 04 2002 - meissner@suse.de
- location of unique files changed so checkhotmounts works again #18843
* Mon Sep 02 2002 - zoz@suse.de
- added beep_switch.diff: There is HOTPLUG_BEEP=yes/no to switch
  off the beeps when inserting or removing a device.
* Mon Aug 26 2002 - zoz@suse.de
- added a delay of one second after every run of usb.agent (before
  the next usb.agent from the queue starts).
* Fri Aug 23 2002 - zoz@suse.de
- changed the 'serialize usb events' patch:
  We do not just sleep a short time dependat of the number of events,
  but we use real locks for /sbin/hotplug. Every instance of this
  process will wait until the last one has finished
  Because /sbin/hotplug now does not exec the *.agent scripts, but
  waits until they have finished, it is sufficient to remove the
  lock files only at the end of /sbin/hotplug
- use /sbin/usbmodules again, so don't use short lines in mapfiles
* Tue Aug 20 2002 - zoz@suse.de
- fixed permissions of subdirs from /etc/hotplug (Bug 18110)
* Sun Aug 18 2002 - zoz@suse.de
- removed double of HOTPLUG_USB_DELAY from sysconfig/hotplug
  (Bug 18026)
- usb.agent: Look for modules in usb.handmap first. Look always in
  usb.usermap and in usb/*.usermap for user-mode drivers or setup
  helpers
- pci.agent: added usage of pci.handmap
- adopted ieee1394.agent, added HOTPLUG_START_FIREWIRE,
  HOTPLUG_IEEE1394_NET_MODULES and
  HOTPLUG_IEEE1394_MODULES_NOT_TO_UNLOAD
- usb.rc: Changed STATIC_MODULE_LIST to sysconfig variable
  HOTPLUG_USB_STATIC_MODULES. There needed modules for XFree86-3.x
  (mousedev, input) may be added. Therefore we don't need the
  X11_USBMICE_HACK as well.
- added function echo_reverse() to hotplug.functions
- don't use /sbin/usbmodules, because it cannot handle short lines
  in mapfiles (lines with only '<mod> 0x0003 <vend.id> <prod.id>')
- tweaked some debug messages
- let usb_map_modules() ignore empty lines
- {usb,pci,ieee1394}.agent: create a remover script when adding a
  device, which contains all needed action for the remove event
- added line in distmap for Epson 1650 scanner (bug 18066)
- added X-UnitedLinux-Should-* to initscript
* Sat Aug 17 2002 - schwab@suse.de
- Fix syntax in sysconfig/hotplug.
* Thu Aug 15 2002 - zoz@suse.de
- merged vim-syntax.diff into main diff
- merged usbstorage.diff into main diff
- merged usb-serialize-loading.diff into main diff
- merged usb-2.5usbdevfs.diff into main diff
- added fxload-2002_04_11 (was included in hotplug earlier)
* Wed Aug 14 2002 - zoz@suse.de
- update to 2002_04_01
  + hotplug.functions: always run setup scripts
  + ieee1394.agent: rm another explicit /etc/hotplug pathname
  + usb.agent: doesn't skip usb.usermap
  + usb.rc: hooks for other "new style" HCDs (2.5)
  + distro should now include /etc/hotplug/{usb,pci} directories
  + remove obsolete USBD_ENABLE option
  + comments/diagnostics say "usbfs" not "usbdevfs"
  + various comment/doc updates, including for USB "coldplug"
  + usb.rc: updated the list of modules that we should be trying to remove.
  + moved fxload to a separate directory, out of this package.
  + cleaned Makefile up, now 'make distrib' works much nicer.
  + applied some minor cleanup patches from Landon Curt Noll.
  + ieee1394.agent: made more like other .agent files.  Removed /tmp
  check entirely as it's not needed.
  + usb.agent: match algorithm in usb_map_modules() should be the
  same as in kernel.
  + fxload:
  * fix bug in handling first hex record: nothing to merge with!
  * add '-Wall' to build and resolve warnings
  * Makefile installs fxload.8 man page
* Tue Aug 13 2002 - zoz@suse.de
- merged changes from usb-boot-delay.diff, usb-modules-unload.diff
  and usb-hostcontroller-probing.diff to sysconfig.hotplug
- added checkhotmounts to suse-files.tar.bz2
- removed usb-boot-forceload.diff, because it was abolished by
  usb-serialize-loading.diff
* Thu Aug 08 2002 - olh@suse.de
- fix usb.rc start for 2.5.30, the drivers entry is gone
  add the new hostcontroller drivers to the driver list
  add the HOTPLUG_USB_DELAY to sysconfig/hotplug
* Thu Aug 01 2002 - olh@suse.de
- add PreReq insserv_prereq fillup_prereq
* Wed Jul 17 2002 - olh@suse.de
- add hotplug-usb-serialize-loading.diff
  try to serialize usb module loading
  the kernel forks all hotplug processes at once
  add some delay in rchotplug start
* Wed Mar 27 2002 - kukuk@suse.de
- Enable hotplug-usb-boot-forceload.diff, disable all sleeps
  instead. (Real fix for Bug #15543)
* Tue Mar 26 2002 - ro@suse.de
- disabled hotplug-usb-boot-forceload.diff
  increases boot-time for usb to > 30 sec for 3 devices (#15543)
* Mon Mar 25 2002 - ro@suse.de
- hotplug-usb-hostcontroller-probing.diff will not be applied
  (breaks on update, where HOTPLUG_USB_HOSTCONTROLLER_LIST
  contains both uhci drivers)
* Sun Mar 24 2002 - kukuk@suse.de
- Decrease sleep and add comment, for which cases user should
  increase it.
* Fri Mar 22 2002 - olh@suse.de
- add hotplug-usb-boot-forceload.diff
  the usb hostcontroller driver may be loaded via initrd
  this will disable the hotplug events and drivers will not be loaded
  force the loading on boot
  add hotplug-usb-hostcontroller-probing.diff
  do not stop after first hostcontroller loading
  do not probe for uhci when usb-uhci is already loaded,
  only one of them can be active at a time
* Wed Mar 20 2002 - olh@suse.de
- add hotplug-usb-boot-delay.diff
  needed to load usb drivers before other bootscripts access
  the devices. printer.o -> rclpd; mousedev -> rcgpm (#14030)
  add hotplug-vim-syntax.diff to enable shell syntax
  add hotplug-usb-modules-unload.diff
  do not unload joydev driver
* Thu Mar 14 2002 - olh@suse.de
- add hotplug-usb-add-delay.diff
  required by recent timing changes in the usbcore code
* Wed Mar 13 2002 - meissner@suse.de
- actually include /usr/sbin/checkhotmounts in the RPM
* Wed Mar 13 2002 - meissner@suse.de
- Add temporary /etc/fstab entries for USB Storage devices using
  a small helper script, so the KDE kickerapplet can put up icons
  for USB ZIP Drives and similar devices. #14902.
* Fri Mar 08 2002 - zoz@suse.de
- added runlevel 1 to Default-Start; needed for USB keyboards
* Mon Mar 04 2002 - zoz@suse.de
- added 'syslog' to Required field
* Mon Mar 04 2002 - zoz@suse.de
- rchotplug: changed #Requires: from $network to network, because
  $network will contain network, pcmcia, hotplug
* Sun Mar 03 2002 - zoz@suse.de
- removed bug by bug replacement patch-01-usbdevfs.diff again
- fixed (bug 14078): disabled and non existant usbdevfs line in
  fstab are equal. Print usefull errormessage instead of 'umount
  failed' if there is no usbdevfs line in fstab.
- fixed output redirections (hanging logger processes) (Bug 14039)
* Sat Mar 02 2002 - olh@suse.de
- add patch-01-usbdevfs.diff
  honor disabled usbdevfs in fstab (#14078)
* Mon Feb 25 2002 - zoz@suse.de
- net.agent: determine right interfacetype for ifup call, since
  YaST2 does it right, too
* Mon Feb 25 2002 - zoz@suse.de
- rchotplug: added missing LSB conform actions
- rchotplug: don't call /etc/hotplug/*.rc with 'restart' (bug13819)
* Mon Feb 25 2002 - zoz@suse.de
- hotplug.functions: don't beep for some general modules
- added catc kaweth CDCEther to HOTPLUG_USB_NET_MODULES
- fixed comments in /etc/sysconfig/hotplug
* Sat Feb 23 2002 - zoz@suse.de
- hotplug.functions: show messages via mseg() always, except when
  HOTPLUG_DEBUG=off
- hotplug.functions: always provide filedescriptors 1 to 4
- hotplug.functions: added do_beep() that beeps in the same
  frequencies as cardmgr does
- hotplug.functions: added beeps to load_module()
- net.agent: added beeps to (un)register events
- net.agent: encaps type is now added to HWDESC right here
- {pci,usb}.agent: dont write encaps type to HW description
- net.agent: make the time we wait for a HW description adjustable
- /etc/sysconfig/hotplug: added HOTPLUG_NET_TIMEOUT=8
* Fri Feb 22 2002 - zoz@suse.de
- /sbin/hotplug: made debug messages more selective
- hotplug.functions: copy only valid file descriptors (bug 13599)
- hotplug.functions: Once again chance MODULES_{NOT_,}TO_UNLOAD
  Now there is HOTPLUG_USB_MODULES_TO_UNLOAD for usb and for pci
  HOTPLUG_PCI_MODULES_NOT_TO_UNLOAD.
- usb.agent: compare (un)loaded modules with new variable
  HOTPLUG_USB_NET_MODULES and write HW description for net.agent
  if it matches.
- net.agent: put determination of HW description to get_hwdesc()
  and call it only for interfaces that are not skipped
- /etc/sysconfig/hotplug:
  removed HOTPLUG_MODULES_NOT_TO_UNLOAD
  added HOTPLUG_PCI_MODULES_NOT_TO_UNLOAD=""
  added HOTPLUG_USB_MODULES_TO_UNLOAD="scanner joydev"
  added HOTPLUG_USB_NET_MODULES="pegasus usbnet"
- fixed message when (not) writing /var/run/hotplug/net
* Thu Feb 21 2002 - zoz@suse.de
- don't use /usr/bin/logger
* Thu Feb 21 2002 - zoz@suse.de
- added /var/run/hotplug
* Thu Feb 21 2002 - zoz@suse.de
- hotplug.functions: check if there is /usr/bin/logger before
  redirecting output to it.
- hotplug.functions: let mesg() just echo to avoid two concurrent
  logger processes
- replaced variable HOTPLUG_MODULES_TO_UNLOAD by its inverse and
  called it HOTPLUG_MODULES_NOT_TO_UNLOAD. Olaf has to check its
  content in respect to USB.
- net.agent: try to get a description of the HW behind the current
  interface from /var/run/hotplug/net{-$INTERFACE,} and exit if
  a) it does not find anything or
  b) it reads 'dont_touch' in that file (in case of pcmcia)
  _and_ HOTPLUG_NET_DEFAULT_HARDWARE is empty (default)
- net.agent: put dummy* to the list of skipped interfaces
- net.agent: call ifup with option 'doalias'
- pci.agent: added function get_pcmcia_slot(); it determines the
  slotnumber via output of lsmod (to be improved)
- pci.agent: write a description of the currently handled device to
  /var/run/hotplug/net if we found a driver and only if it is a NIC
- changed default of HOTPLUG_NET_DEFAULT_HARDWARE to ""
- changed default of HOTPLUG_START_PCI to "yes"
* Tue Feb 19 2002 - zoz@suse.de
- *.agent: changed calls of msg() to mesg()
- hotplug.functions: added pid to logger tag
- pci.agent: removed forgotten output redirection to logger
* Mon Feb 18 2002 - zoz@suse.de
- hotplug.functions: fixed syntax errors
- use /bin/bash in every script, because hotplug.functions uses
  special bash features
- /etc/hotplug/*.rc: removed this system status reports from
  status section; just tell if this subsystem is active
- added /etc/hotplug/net.rc
- rchotplug: changed status section again; determine status from
  existance of /var/lock/subsys/hotplug
- /sbin/hotplug: exit silently if no /var/lock/subsys/hotplug
* Fri Feb 15 2002 - olh@suse.de
- fix last patch.
  allow rchotplug stop for usb, keep input drivers
* Fri Feb 15 2002 - olh@suse.de
- do not mount disabled usbdevfs fstab entry
* Thu Feb 14 2002 - zoz@suse.de
- fixed logging of messages and debug output
- net.agent: fixed interface type when calling if{up,down}
- rchotplug: fixed useless status section.
  But did not check /etc/hotplug/*.rc, this has still to be done.
* Thu Feb 14 2002 - zoz@suse.de
- net.agent did call ifup without '-o hotplug' (Bug 13178)
* Tue Jan 29 2002 - olh@suse.de
- fix rchotplug status (#11734)
  add missing $ to HOTPLUG_NET_DEFAULT_HARDWARE
  dont remove usb modules on rchotplug stop, avoid dead keyboard
  (#12538)
  fix warnings in fxload
* Tue Jan 29 2002 - meissner@suse.de
- added calls of /usr/sbin/hwscan --usb on add/remove events
  to make sure libhd apps pick it up (like hwSuSEkicker).
* Mon Jan 21 2002 - zoz@suse.de
- recreated lost .dif
- added variable HOTPLUG_NET_DEFAULT_HARDWARE to sysconfig/hotplug
- net.agent is now enabled by default. It calls if{up,down} with
  hardware description from HOTPLUG_NET_DEFAULT_HARDWARE.
* Tue Jan 15 2002 - zoz@suse.de
- update to 2002_1_14
- added /sbin/fxload
- added manpages
* Mon Jan 14 2002 - zoz@suse.de
- update to 2001_09_19
* Wed Jan 02 2002 - kukuk@suse.de
- Require $network instead of network in init script.
- Add better description in init script.
* Thu Dec 13 2001 - ro@suse.de
- save rc.config.d file which erroneously was in filelist before
* Wed Dec 12 2001 - ro@suse.de
- switch to sysconfig, removed START_HOTPLUG
* Fri Dec 07 2001 - olh@suse.de
- add joydev to the autoload list
* Sun Dec 02 2001 - bjacke@suse.de
- try usb-uhci before uhci
* Sat Sep 22 2001 - olh@suse.de
- add another stderr redirection
* Tue Sep 18 2001 - olh@suse.de
- add evdev to the autoload list
* Sat Sep 15 2001 - olh@suse.de
- fix startup messages, provide rc script
* Sat Sep 15 2001 - olh@suse.de
- fix another absolut pathname in postinstall
* Sat Sep 08 2001 - olh@suse.de
- reenable LISTER in hotplug.functions for usbmodules 0.8
* Wed Sep 05 2001 - olh@suse.de
- fix insserv call again, no absolute path names
* Tue Sep 04 2001 - ro@suse.de
- fixed diff to apply after last change
* Tue Sep 04 2001 - zoz@suse.de
- changed default in hotplug.rc.config: HOTPLUG_DEBUG=no
* Fri Aug 31 2001 - olh@suse.de
- fix insserv call
* Tue Aug 28 2001 - olh@suse.de
- provide usbmgr usb, add postun section for insserv
* Tue Aug 21 2001 - olh@suse.de
- remove bogus preun section in specfile
* Sun Aug 19 2001 - olh@suse.de
- add runlevel notification
  probe hostcontrollers via hotplug.rc.config variable
  update specfile
* Sat Aug 11 2001 - olh@suse.de
- disable bogus preun section on specfile
* Sat Aug 11 2001 - olh@suse.de
- add hotplug.usb.diff
  implement HOTPLUG_MODULES_TO_UNLOAD
  remove stale usbmgr files
* Thu Aug 09 2001 - zoz@suse.de
- added/changed variables to /etc/rc.config.d/hotplug.rc.config:
- HOTPLUG_START_USB (default yes)
- HOTPLUG_START_NET (defalut no, net.agent is in a bad state)
- HOTPLUG_START_PCI (default no, works, but collides with cardmr)
- HOTPLUG_DEBUG
- /etc/rc.config.d/hotplug... is only sourced in hotplug.functions
- added debug_mesg to hotplug.functions to avoid frequently
  testing of HOTPLUG_DEBUG
- added hotplug.usb.diff to hotplug-2001_04_24.dif
* Wed Aug 08 2001 - olh@suse.de
- don't use usbmodules from usbutils.rpm as LISTER
* Wed Aug 08 2001 - olh@suse.de
- add some joysticks to the usb.handmap, no hotplug for hid devices
* Wed Aug 08 2001 - olh@suse.de
- add /etc/rc.config.d/hotplug.rc.config
* Tue Aug 07 2001 - olh@suse.de
- obsolete usbmgr and usb, stop rcusbmgr in preinstall
* Tue Aug 07 2001 - olh@suse.de
- add hotplug.usb.diff
* Thu Aug 02 2001 - zoz@suse.de
- removed stale Source lines from specfile
* Mon Jul 30 2001 - zoz@suse.de
- enhanced debug output
- added unload_drivers () to hotplug.functions
- call /etc/pcmcia/network.hotplug in net.agent
- added unregister section to net.aget
- added remove section to pci.agent
- removed RedHat-only stuff
* Thu May 31 2001 - zoz@suse.de
- initial package
